Subject: Re: bug#28144: info-dir ERROR: no code for module (guix build utils)

From: "Brant Gardner" <[email-masked]>
Date: Mon, 28 Jan 2019 17:04:43 -0500

As normal user:

~ % guix describe
guix describe: error: failed to determine origin

~ % guix --version
guix (GNU Guix) 0.16.0-8.7ba2b27
Copyright (C) 2018 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

-----

Root gets very different answers, as you already pointed out I should expect:

root@mercury ~# guix describe
Generation 3    Jan 27 2019 07:33:28    (current)
  guix 4f8be6d
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 4f8be6d905de0ca53275907cce37742287b51111

root@mercury ~# guix --version
guix (GNU Guix) 4f8be6d905de0ca53275907cce37742287b51111
Copyright (C) 2019 the Guix authors
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

The path you indicated doesn't exist for me, can I use root's path to the guix executable to perform the pull and fix the normal user?

Thank you,

--
Brant Gardner
Key: E9F7 AC51 99A7 C8DF 355D  A751 7064 3C93 00C0 FBCE

On Mon, Jan 28, 2019, at 12:57, Ricardo Wurmus wrote:
> 
> Brant Gardner <[email-masked]> writes:
> 
> > I get this very reproducibly with 'guix pull', starting last
> > week. This is on a pretty simple installation of GuixSD, no extra
> > parameters or unusual environment. Is there anything I gather that
> > would help?
> >
> > Note: This only seems to happen for the non-root user executing 'guix
> > pull' - so far it has not show for root.
> 
> That’s because every user has their own version of Guix.  The root
> user’s copy of Guix differs from that of your other user account.
> 
> Could you please tell us what “guix describe” and/or “guix --version”
> say?  This would help us figure out if we can do something to prevent
> this.
> 
> You can get out of this problem by using a different variant of Guix to
> run “guix pull”, e.g. ~/.config/guix/current-1-link/bin/guix pull.
> 
> --
> Ricardo
> 
>